Rowmote Helper Versions



All of the below versions are compatible with the current releases of Rowmote and Rowmote Pro.  Some advanced features require Mac OS X 10.7+.


System Download
Mac OS X 10.10 Rowmote Helper 4.1.8
Mac OS X 10.9 Rowmote Helper 4.1.8
Mac OS X 10.8 Rowmote Helper 4.1.3
Mac OS X 10.7 Rowmote Helper 4.1.3
Mac OS X 10.6 Rowmote Helper 4.1.0
Mac OS X 10.5 Rowmote Helper 4.1.00
Mac OS X 10.4 Rowmote Helper 3.6.1
Apple TV See Apple TV Instructions.